using System;

namespace kvadrati_kvalifikacije2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] str;
            int x1, y1, x2, y2;

            str = Console.ReadLine().Split();
            x1 = int.Parse(str[0]);
            y1 = int.Parse(str[1]);

            str = Console.ReadLine().Split();
            x2 = int.Parse(str[0]);
            y2 = int.Parse(str[1]);

            if ((y1==y2) || (x1==x2))
            {
                Console.WriteLine(2);
            }
            else
            {
                if (Math.Abs(x2-x1)==Math.Abs(y2-y1))
                {
                    Console.WriteLine(1);
                }
                else
                {
                    Console.WriteLine(0);
                }
            }
        }
    }
}